This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 157796 - xmms-flac package is missing
xmms-flac package is missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmms-flac (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-15 17:38 EDT by Nathan G. Grennan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-05 10:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix a xmms crash related to a double freeing of memory while xmms is starting (373 bytes, patch)
2005-05-15 17:38 EDT, Nathan G. Grennan
no flags Details | Diff
Patch for the flac-1.1.2-25 spec file to add xmms support back in (2.04 KB, patch)
2005-05-15 17:41 EDT, Nathan G. Grennan
no flags Details | Diff

  None (edit)
Description Nathan G. Grennan 2005-05-15 17:38:56 EDT
Description of problem:
xmms-flac is missing because of the removal of xmms from Core. It is possible to
use the development flac package, revert the changes related to xmms, add a new
patch, compile it, and have it work.

Version-Release number of selected component (if applicable):
flac-1.1.2-25

How reproducible:
Everytime

Steps to Reproduce:
1. yum list xmms-flac
  
Actual results:
No xmms-flac package

Expected results:
A xmms-flac package


Additional info:

I notice xmms hasn't yet been added to the development extras package list. I
was forced to pick a component that doesn't exist.
Comment 1 Nathan G. Grennan 2005-05-15 17:38:56 EDT
Created attachment 114399 [details]
Patch to fix a xmms crash related to a double freeing of memory while xmms is starting
Comment 2 Nathan G. Grennan 2005-05-15 17:41:00 EDT
Created attachment 114400 [details]
Patch for the flac-1.1.2-25 spec file to add xmms support back in

This spec file patch depends on the previous patch I submitted.
Comment 3 Warren Togami 2005-05-15 18:02:31 EDT
We cannot add xmms back to core, which is a build requirement for this.  Thus
our only option is to add the flac source to a SRPM package named xmms-flac,
build it, and package only the xmms-flac portion.

I'm adding a xmms-flac Bugzilla component now.  Someone else needs to make this
package.
Comment 4 Nathan G. Grennan 2005-05-15 18:24:07 EDT
I wasn't asking for xmms to go back to go back into Core. I was asking for it in
Extras, which xmms got moved to. Whoever builds the package will have to track
the flac package.
Comment 5 Matthias Saou 2005-05-19 05:19:55 EDT
I've just created an xmms-flac "standalone" package, which should appear in
Extras development soon.
Comment 6 Nathan G. Grennan 2005-05-19 10:21:13 EDT
Thanks Matthias Saou
Comment 7 Nathan G. Grennan 2005-05-27 11:30:01 EDT
It has been over a week and still no xmms-flac in Extras.
Comment 8 Matthias Saou 2005-05-27 12:25:01 EDT
Maybe this slipped through when the build system was doing strange things. I'll
look into it now, and close the ticket only once the package is really built.
Thanks for noticing ;-)
Comment 9 Nathan G. Grennan 2005-06-05 10:59:51 EDT
I have confirmed it is now in the extras development and 4 directories.

Note You need to log in before you can comment on or make changes to this bug.